/*
 * game_item.cc
 * 
 * Copyright (C) 2005  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * 
 */
#include "game_item.h"

#define DEBUG 0
#include "debug.h"

void GKyticka::step(void) {
	
	age++;
	
	GObject* k = parent->get_child_by_goid(GOID_KRTEK);
	GObject* z = NULL;
	
	if (k->get_pos_x() == pos_x && k->get_pos_y() == pos_y) {
		k->add_to_property(GOP_SCORE, 5);
		die();
	}
	
	switch(age) {
		case 50:	// ;
			stage = 1;
			break;
		case 100:	// *
			stage = 2;
			break;
		case 200:	// @
			stage = 3;
			z = parent->get_child_by_goid(GOID_ZAHRADNIK);
			z->add_to_property(GOP_SCORE, 1);
			break;
		case 350:	// O
			stage = 4;
			break;
		case 400:	// o
			stage = 5;
			break;
		case 450:
			die();
			break;
	}
}

