/*
 * lock.cc
 * 
 * Copyright (C) 2005  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 * 
 */

#include <stdio.h>

#include "lock.h"

#define DEBUG 0
#include "debug.h"

Lock::Lock(void) {
	DBG_MSG(8, "Lock::Lock: Lock created");
}

void Lock::lock(void) {
	DBG_MSG(8, "Lock::lock");
}

void Lock::unlock(void) {
	DBG_MSG(8, "Lock::unlock");
}

